Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Headers

Authorization
string
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Content-Type
string

application/json

Query Parameters

ids
string

Filter assets based on Asset IDs. Accepts a comma-separated list.

Example:

"id1,id2"

executionIds
string

Filter assets based on Integration Execution IDs. Accepts a comma-separated list.

Example:

"1678607803935,1778607801234"

regions
string

Filter assets based on Provider regions. Accepts a comma-separated list of regions.

Example:

"us-east-1,us-west-2"

integrationIds
string

Filter assets based on Plerion Integration IDs. Accepts a comma-separated list.

Example:

"integration1,integration2"

assetGroupIds
string

Filter assets based on asset group ids. Accepts a comma-separated list of asset group ids.

Example:

"assetGroupId1,assetGroupId2"

environmentIds
string

Filter assets based on environment IDs. This parameter accepts both environment IDs (UUIDs) and environment names.

Supported environment names:

  • production - Production environment
  • non-production - Non-production environment

You can provide either environment IDs, environment names, or a combination of both.

Example:

"production,550e8400-e29b-41d4-a716-446655440000"

severityLevels
enum<string>

Filter assets based on vulnerability severity levels. Accepts a comma-separated list of severity levels.

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW
Example:

"CRITICAL,HIGH"

secretsLevels
enum<string>

Filter assets based on exposed secrets severity levels. Accepts a comma-separated list of severity levels.

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW
Example:

"CRITICAL,HIGH"

resourceTypes
string

Filter assets based on provider resource types. Accepts a comma-separated list of resource types.

Example:

"AWS::S3::Bucket,AWS::Lambda::Function"

providers
enum<string>

Filter assets based on provider. Accepts a comma-separated list of providers.

Available options:
AWS,
Azure,
GCP,
Kubernetes
Example:

"AWS,GCP"

services
string

Filter assets based on cloud provider services. Accepts a comma-separated list of service names. Each service can be specified either by its name alone (e.g., S3, Lambda, EC2) or prefixed with its provider in the format Provider::Service (e.g., AWS::S3, GCP::Compute, Azure::VirtualMachine).

Example:

"AWS::S3,GCP::Compute,Azure::VirtualMachine"

firstObservedAtStart
string<date-time>

Start of the date range for filtering assets based on the first observed time. Specify the start of the range using a valid ISO 8601 date-time string. If firstObservedAtStart is provided and firstObservedAtEnd is omitted, results will include assets from this date to the present. Supported formats include:

  • yyyy-MM-ddTHH:mm:ssZ (e.g., 2020-12-18T08:00:00Z)
  • yyyy-MM-ddTHH:mm:ss.SSSZ (e.g., 2020-12-18T08:00:00.000Z)
Example:

"2023-02-01T18:09:07Z"

firstObservedAtEnd
string<date-time>

End of the date range for filtering assets based on the first observed time. Specify the end of the range using a valid ISO 8601 date-time string. If firstObservedAtEnd is provided and firstObservedAtStart is omitted, results will include assets up to this date. Supported formats include:

  • yyyy-MM-ddTHH:mm:ssZ (e.g., 2020-12-18T08:00:00Z)
  • yyyy-MM-ddTHH:mm:ss.SSSZ (e.g., 2020-12-18T08:00:00.000Z)
Example:

"2023-02-01T18:09:07Z"

hasAdminPrivileges
string<boolean>

Filter assets based on whether the asset has Admin Privileges. The supported values are true or false

Example:

true

hasOverlyPermissivePrivileges
string<boolean>

Filter assets based on whether the asset has Overly Permissive Privileges. The supported values are true or false

Example:

true

isSusceptibleToPrivilegeEscalation
string<boolean>

Filter assets based on whether the asset is susceptible to privilege escalation. The supported values are true or false

Example:

true

hasKev
string<boolean>

Filter assets based on whether the asset has any unresolved vulnerability that is found on the CISA's Known Exploited Vulnerabilities Catalog. The supported values are true or false

Example:

true

hasExploit
string<boolean>

Filter assets based on whether the asset has any unresolved vulnerability that is referenced on the MITRE Exploit-DB reference map. The supported values are true or false

Example:

true

isExploitable
string<boolean>

Filter assets based on whether the asset has any unresolved vulnerability that has a CVSS v3 exploitability score greater than 1. The supported values are true or false

Example:

true

isPubliclyExposed
string<boolean>

Filter assets based on whether the asset is Publicly Accessible. The supported values are true or false

Example:

true

isVulnerable
string<boolean>

Filter assets based on whether the asset has any unresolved vulnerability regardless of severity, source, or status. The supported values are true or false

Example:

true

query
string

Filter assets based on the Asset's name matching the provided value

Example:

"test-asset-name"

metadata
string

Filter assets based on the asset's metadata matching the provided value. The search performs a case-insensitive substring match against all metadata keys and values, including nested fields.

Example:

"t2.micro"

riskScoreGte
string<number>

Filter assets based on the risk score calculated by Plerion for the asset. The supported values are numbers from 0 to 10.

Example:

5

operationalStates
enum<string>

Filter assets based on their operational state. Accepts a comma-separated list of operational states.

Supported values:

  • active — running workloads
  • inactive — not running workloads

Supported resource types:

  • AWS EC2 Instance — active indicates the instance is in a running state; inactive indicates it is stopped or terminated.

When this filter is applied, only assets belonging to resource types that support operational state are returned.

Available options:
active,
inactive
Example:

"active"

sortBy
enum<string>

Order the list by supported field

Available options:
id,
executionId,
integrationId,
resourceType,
service,
region,
name,
provider,
firstObservedAt,
lastObservedAt,
riskScore,
vulnerabilityScore,
numberOfLowVulnerabilities,
numberOfMediumVulnerabilities,
numberOfHighVulnerabilities,
numberOfCriticalVulnerabilities
Example:

"executionId"

sortOrder
enum<string>

The sort order of the list. The parameter sortBy has to be provided to use sortOrder. If sortOrder is not provided the default order is ASC

Available options:
ASC,
DESC
Example:

"ASC"

page
number

Get the next batch of assets. Used for pagination

Required range: x >= 1
Example:

2

perPage
number

Specify the batch size of the list. Used for pagination

Required range: x <= 1000
Example:

100

Response

200 - application/json

Assets list

data
object[]
meta
object